freemarker.template

## Class SimpleList

- java.lang.Object
- - freemarker.template.WrappingTemplateModel
  - - freemarker.template.SimpleSequence
    - - freemarker.template.SimpleList

All Implemented Interfaces:
  TemplateModel, TemplateSequenceModel, Serializable

Deprecated.
Use SimpleSequence instead.

    @Deprecated
    public class SimpleList
    extends SimpleSequence

This is a trivial subclass that exists for backward compatibility with the SimpleList from FreeMarker Classic.

This class is thread-safe.

See Also:
  `SimpleSequence`, Serialized Form

### Field Summary

### Fields inherited from class freemarker.template.SimpleSequence

`list`

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`SimpleList()` Deprecated.
`SimpleList(List list)` Deprecated.

### Method Summary

### Methods inherited from class freemarker.template.SimpleSequence

`add, add, get, size, synchronizedWrapper, toList, toString`

### Methods inherited from class freemarker.template.WrappingTemplateModel

`getDefaultObjectWrapper, getObjectWrapper, setDefaultObjectWrapper, setObjectWrapper, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleList

    public SimpleList()

Deprecated.

#### SimpleList

    public SimpleList(List list)

Deprecated.